Methods for decorating command output with ANSI escape codes https://en.wikipedia.org/wiki/ANSI_escape_code

### Hierarchy

- ICliAnsi

## Index

### Properties

- enabled

### Methods

- blue
- bold
- green
- red

## Properties

### enabled

enabled: boolean

- Defined in src/cli-ansi.ts:9

Whether or not ANSI decoration is enabled

## Methods

### blue

- blue(message: string): string

- - Defined in src/cli-ansi.ts:12

  Decorate the text blue

  #### Parameters

  - ##### message: string

  #### Returns string

### bold

- bold(message: string): string

- - Defined in src/cli-ansi.ts:15

  Decorate the text bold

  #### Parameters

  - ##### message: string

  #### Returns string

### green

- green(message: string): string

- - Defined in src/cli-ansi.ts:18

  Decorate the text red

  #### Parameters

  - ##### message: string

  #### Returns string

### red

- red(message: string): string

- - Defined in src/cli-ansi.ts:21

  Decorate the text red

  #### Parameters

  - ##### message: string

  #### Returns string

Generated using TypeDoc and MonoLisa